# Uses of Interface
com.sun.source.tree.CaseLabelTree

Packages that use CaseLabelTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).

## Uses of CaseLabelTree in com.sun.source.tree

Subinterfaces of CaseLabelTree in com.sun.source.tree
Modifier and Type
Interface
Description
`interface`
`ConstantCaseLabelTree`
A case label element that refers to a constant expression
`interface`
`DefaultCaseLabelTree`
A case label that marks `default` in `case null, default`.
`interface`
`PatternCaseLabelTree`
A case label element that refers to an expression
Methods in com.sun.source.tree that return types with arguments of type CaseLabelTree
Modifier and Type
Method
Description
`List<? extends CaseLabelTree>`
CaseTree.`getLabels()`
Returns the labels for this case.